org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsideMainDialog.PauseAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.plugins.streetside.gui.StreetsideMainDialog.PauseAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action, WalkListener
  Enclosing class:
    StreetsideMainDialog

      private static class StreetsideMainDialog.PauseAction
      extends AbstractAction
      implements WalkListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `private WalkThread` | `thread`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PauseAction()` Constructs a normal PauseAction

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent e)`
    `void` | `walkStarted(WalkThread thread)` Called when a new walk thread is started.

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### thread

          private WalkThread thread

  - ### Constructor Detail

    - #### PauseAction

          PauseAction()

      Constructs a normal PauseAction

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent e)

      Specified by:
        `actionPerformed` in interface `ActionListener`

    - #### walkStarted

          public void walkStarted(WalkThread thread)

      Description copied from interface: `WalkListener`
      Called when a new walk thread is started.
      Specified by:
        `walkStarted` in interface `WalkListener`
      Parameters:
        `thread` - The thread executing the walk.

JOSM Plugins